<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

  if(isset($_SESSION["mailcli"]))
  {
  	if(!isset($_POST['choix'])){	$_POST['choix'] = "transactions émises et reçues";	}
     
    echo '
      <form action="pay_historique.php" method=post>
      
        <object><h4 class="titre">Consulter l\'historique</h4></object>
        
        <table>
          <tr>
            <td>Ordonner par : </td>
            <td>
              <label>
                <select name="choix">
                
                	<option value="transactions reçues" '; 
						if('transactions reçues' == $_POST['choix']){	
							echo 'selected="selected" ';
							$rq_cli = "Select * from freepay_client_transferer where mailcli2 = '".$_SESSION["mailcli"]."' order by datet desc;";
						}
					echo '>transactions reçues</option>
					
					<option value="transactions émises" ';
						if('transactions émises' == $_POST['choix']){	
							echo 'selected="selected" ';
							$rq_cli = "Select * from freepay_client_transferer where mailcli = '".$_SESSION["mailcli"]."' order by datet desc;";	
						}
					echo '>transactions émises</option>
					
					<option value="transactions émises et reçues" ';
						if('transactions émises et reçues' == $_POST['choix']){
							echo 'selected="selected" ';
							$rq_cli = "Select * from freepay_client_transferer where mailcli = '".$_SESSION["mailcli"]."'
          								or mailcli2 = '".$_SESSION["mailcli"]."' order by datet desc;";
						}
					echo '>transactions émises et reçues</option>
                
                </select>
              </label>
            </td>
            <td><input type="submit" value="Appliquer le filtre" /></td>
          </tr>
        </table>
      
      </form>';

    if ($connexion)// si connexion à la base réussi
    {	
      mysql_select_db($base,$connexion);
      
      $resultat_rq_cli = mysql_query($rq_cli,$connexion);
      $ligne = mysql_fetch_assoc($resultat_rq_cli); 
      
      //Traçabilité des transactions sous forme de tableau
      echo '<object><h4 class="titre">Historique des '.$_POST['choix'].'</h4></object>';
      
      if(empty($ligne)){
      	echo'<p class="info">Aucune '.$_POST['choix'].' enregistrée(s).</p>';
      }else{

        echo '<table width="100%">
        <tr>
          <th>Date</th><th>Emetteur</th><th>Récepteur</th><th>Valeur</th><th>Devise</th>
        </tr>';
        
        while($ligne)
        {   
          echo '<tr>
          
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne["datet"].'</td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" ><a href="'.$AdresseFreePay.'support/mail.php?destinataire='.$ligne["mailcli"].'">'.$ligne["mailcli"].'</a></td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" ><a href="'.$AdresseFreePay.'support/mail.php?destinataire='.$ligne["mailcli2"].'">'.$ligne["mailcli2"].'</a></td>
            
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne["valeurtrclient"].'</td>
          
          <td class="historique" 
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
            
          </tr>';
          $ligne = mysql_fetch_assoc($resultat_rq_cli);
        }
        echo '</table>';
      }
      
    }else{ 
      echo '<p class="erreur">La connexion à la base de donnée à échoué.</p>';
    }
  }
  else{
    echo "
  <script type='text/javascript'>
    window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
  </script>
  ";
  }
    
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

?>
